Bug 617324 - Providing native systemd file for upcoming F14 Feature Systemd
Summary: Providing native systemd file for upcoming F14 Feature Systemd
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cronie   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 656864 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-22 19:05 UTC by Jóhann B. Guðmundsson
Modified: 2010-12-12 18:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-30 12:13:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Native systemd file for crond (135 bytes, text/plain)
2010-07-22 19:05 UTC, Jóhann B. Guðmundsson
no flags Details

Description Jóhann B. Guðmundsson 2010-07-22 19:05:10 UTC
Created attachment 433781 [details]
Native systemd file for crond

Description of problem:

The attached file is a native systemd file for upcoming F14 Feature [1]

Please read [2] on how to installing systemd Service files.

1.http://fedoraproject.org/wiki/Features/systemd
2.https://fedoraproject.org/wiki/User:Johannbg/QA/Systemd/Daemon#Installing_Systemd_Service_Files

If you have any question dont hesitate to ask them on this bug report.

Thank you. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Marcela Mašláňová 2010-07-23 11:32:12 UTC
Same trouble as in at daemon #617320.

Why should daemon runs in foreground? What about sysconfig file?

[Unit]
Description=Command Scheduler
After=syslog.target

[Service]
ExecStart=/usr/sbin/crond -n

[Install]
WantedBy=multi-user.target

Comment 2 Bug Zapper 2010-07-30 12:45:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Lennart Poettering 2010-08-10 13:51:59 UTC
Here's the suggested unit file with interpretation of sysconfig:

<snip>
[Unit]
Description=Command Scheduler
After=syslog.target

[Service]
EnvironmentFile=/etc/sysconfig/crond
ExecStart=/usr/sbin/crond -n $CRONDARGS

[Install]
WantedBy=multi-user.target
</snip>

Comment 4 Lennart Poettering 2010-08-11 13:50:56 UTC
BTW, it is not sufficient to just drop the .service files into
/lib/systemd/system. It is also necessary to enable it when upgrading from an
old sysv-only rpm. How to implement that in the spec file with minimal work is
documented in daemon(7):

http://0pointer.de/public/systemd-man/daemon.html#id2562029

Comment 5 Michał Piotrowski 2010-11-24 13:04:54 UTC
*** Bug 656864 has been marked as a duplicate of this bug. ***

Comment 6 Michał Piotrowski 2010-11-24 19:53:10 UTC
+1 for Lennart's version https://bugzilla.redhat.com/show_bug.cgi?id=617324#c3

Comment 7 Lennart Poettering 2010-11-24 21:56:13 UTC
(In reply to comment #1)
> Same trouble as in at daemon #617320.
> 
> Why should daemon runs in foreground? What about sysconfig file?

#617320 contains answers to these questions I hope.

Comment 8 Michał Piotrowski 2010-12-12 17:57:00 UTC
yum upgrade
[..]
  Czyszczenie    : cronie-anacron-1.4.6-4.fc15.x86_64                                                                                                 49/78 
Job failed. See system logs and 'systemctl status' for details.
Job failed. See system logs and 'systemctl status' for details.
Job failed. See system logs and 'systemctl status' for details.
Job failed. See system logs and 'systemctl status' for details.


After an upgrade

systemctl status cron.service
cron.service
	  Loaded: error
	  Active: inactive (dead)

Comment 9 Michał Piotrowski 2010-12-12 18:00:40 UTC
Sorry, I made a typo in command

systemctl status crond.service
crond.service - Command Scheduler
	  Loaded: loaded (/lib/systemd/system/crond.service)
	  Active: active (running) since Sun, 12 Dec 2010 18:51:51 +0100; 7min ago
	Main PID: 1703 (crond)
	  CGroup: name=systemd:/system/crond.service
		  └ 1703 /usr/sbin/crond -n -p

Warning: Unit file changed on disk, 'systemctl --system daemon-reload' recommended.


Note You need to log in before you can comment on or make changes to this bug.